## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/auditevents/{auditEventId}

### Try it

#### Get an Audit Event

**cURL**

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/auditevents/{auditEventId} \
  --header 'X-API-Key: <api-key>'
```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/auditevents/{auditEventId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/auditevents/{auditEventId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Status Codes

- 200  
- 400  
- 401  
- 402  
- 403  
- 404  
- 405  
- 409  
- 413  
- 500  
- 501  
- 502  
- 503  
- 504

### Example Response

```json
{
  "id": "<string>",
  "timestamp": "2020-04-27T14:22:11.000Z",
  "type": "create",
  "user": "hans.mustermann@xyz.com",
  "modifiedResources": [
    {
      "resourceId": "5e997f0cdcfc57730cf32941",
      "resourceType": "node"
    }
  ],
  "payload": {
    "name": "new resource name"
  }
}
```

### Error Response Examples

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}
```

### Authorization

**APIKey**

- **X-API-Key**  
  - Type: string  
  - Location: header  
  - Required: Supply the API Key in the HTTP-Header

### Headers

**Accept**  
- Type: enum<string>  
- Description: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

**auditEventId**  
- Type: string  
- Required: Audit event ID.

### Response

200

**application/json**

Returns audit event object.

- **id**: Required string length: `24`. Pattern: `^[a-z0-9]{24}$`
- **timestamp**: The timestamp when the action happened. Example: `"2020-04-27T14:22:11.000Z"`
- **type**: The type of operation that was performed. Available options: `action`, `create`, `replace`, `patch`, `delete`, `authentication`, `authorization`. Example: `"create"`
- **user**: The email of the user who performed the operation. Example: `"hans.mustermann@xyz.com"`
- **modifiedResources**: An list of resources in the chain of the modification.
- **payload**: The raw payload of the operation in case it was tracked. Example: `{"name": "new resource name"}`.

Last modified on July 8, 2026.
